package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.huimv.farm.musk.breed.entity.BreedBatch;
import com.huimv.farm.musk.breed.entity.BreedFeed;
import com.huimv.farm.musk.breed.service.IBreedBatchService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 编组管理 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-19
 */
@RestController
@RequestMapping("/breed-batch")
@CrossOrigin
public class BreedBatchController {

    @Autowired
    private IBreedBatchService batchService;


    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return batchService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedBatch breedBatch) {
        return batchService.add(breedBatch);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedBatch breedBatch) {
        return batchService.edit(breedBatch);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return batchService.remove(paramsMap);
    }

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String batchName = paramsMap.get("batchName");
        return new Result(ResultCode.SUCCESS, batchService.list(new QueryWrapper<BreedBatch>().eq("farm_id", farmId)
                .like(StringUtils.isNotBlank(batchName), "batch_name", batchName)));
    }
}
