package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.BreedCure;
import com.huimv.farm.musk.breed.entity.BreedTupping;
import com.huimv.farm.musk.breed.entity.BreedVaccination;
import com.huimv.farm.musk.breed.service.IBreedTuppingService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 配种登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-tupping")
@CrossOrigin
public class BreedTuppingController {
    @Autowired
    private IBreedTuppingService tuppingService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return tuppingService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedTupping tupping) {
        return tuppingService.add(tupping);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedTupping tupping) {
        return tuppingService.edit(tupping);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return tuppingService.remove(paramsMap);
    }

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        QueryWrapper<BreedTupping> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).orderByDesc("create_time");
        return new Result(ResultCode.SUCCESS, tuppingService.list(queryWrapper));
    }

}
