package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.MuskEarmark;
import com.huimv.farm.musk.breed.entity.MuskEarmarkRank;
import com.huimv.farm.musk.breed.entity.vo.EarmarkActVo;
import com.huimv.farm.musk.breed.mapper.MuskEarmarkMapper;
import com.huimv.farm.musk.breed.service.IMuskEarmarkRankService;
import com.huimv.farm.musk.breed.service.IMuskEarmarkService;
import com.huimv.farm.musk.common.utils.DataUill;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.health.entity.HealthData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 保存耳标平台的耳标 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
@RestController
@RequestMapping("/musk-earmark")
@CrossOrigin
public class MuskEarmarkController {
    @Autowired
    private IMuskEarmarkService earmarkService;
    @Autowired
    private IMuskEarmarkRankService rankService;
    @Autowired
    private MuskEarmarkMapper earmarkMapper;

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        List<MuskEarmark> earmarks = earmarkService.list(new QueryWrapper<MuskEarmark>().eq("farm_id", farmId));
        return new Result(ResultCode.SUCCESS, earmarks);
    }

    //大屏物联监测的设备在线率
    @RequestMapping("/earmarkRank")
    public Result EarmarkRank(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.DATE, calendar.get(Calendar.DATE) - 7);
        QueryWrapper<MuskEarmarkRank> queryWrapper = new QueryWrapper();
        queryWrapper.eq("farm_id", farmId).ge("create_time", calendar.getTime());
        List<MuskEarmarkRank> ranks = rankService.list(queryWrapper);
        return new Result(ResultCode.SUCCESS,ranks);
    }
    //大屏运动检测
    @RequestMapping("/earmarkAct")
    public Result EarmarkAct(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        Date timesmorning = DataUill.getTimesmorning();
        QueryWrapper<HealthData> queryWrapper = new QueryWrapper();
        queryWrapper.eq("farm_id", farmId).ge("create_time",timesmorning);
        List<EarmarkActVo> earmarkActVos = earmarkMapper.listScreen(queryWrapper);
        return new Result(ResultCode.SUCCESS,earmarkActVos);
    }
}
