package com.huimv.farm.musk.breed.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 离场登记
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("breed_leave")
public class BreedLeave implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 羊只编码
     */
    private String muskId;

    /**
     * 离场时日龄
     */
    private Integer dayage;

    /**
     * 离场原因
     */
    private String reason;

    /**
     * 离场体重
     */
    private Double weight;

    /**
     * 离场时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 0 未撤回 1撤回离场
     */
    private Integer isWithdraw;

    /**
     * 离场去向
     */
    private String toWhere;


}
