package com.huimv.farm.musk.breed.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 档案登记
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("breed_musk_info")
public class BreedMuskInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 麝獐id(耳标号)
     */
    private String muskId;

    /**
     * 品种
     */
    private String breed;

    /**
     * 性别0母1公
     */
    private Integer sex;

    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthDate;

    /**
     * 体检结果
     */
    private String inspectResult;

    /**
     * 栋舍名称
     */
    private String unitName;

    /**
     * 栋舍id
     */
    private Integer unitId;

    /**
     * 体重
     */
    private String weight;

    /**
     * 母林麝id
     */
    private String femaleId;

    /**
     * 公林麝id
     */
    private String maleId;

    /**
     * 是否离场 0未离场  1已离场
     */
    private Integer isLeave;

    /**
     * 日龄
     */
    private Integer dayNum;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 日常图片
     */
    private String dailyPictures;


    /**
     * 体温
     */
    private String temp;

    /**
     * 运动量
     */
    private Integer act;

    private Integer stage;

    private Integer batchNum;

    private String batchName;

    private Integer appStatus;

    private Integer isBatch;


}
