package com.huimv.farm.musk.breed.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 配种登记
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("breed_tupping")
public class BreedTupping implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 公林麝编码
     */
    private String maleCode;

    /**
     * 母林麝编码
     */
    private String femaleCode;

    /**
     * 配种日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 配种方法
     */
    private String tuppingMethod;

    /**
     * 配种结果
     */
    private String tuppingResult;


}
