package com.huimv.farm.musk.breed.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.musk.breed.entity.BreedSecretion;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.mapper.BreedSecretionMapper;
import com.huimv.farm.musk.breed.service.IBreedSecretionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 泌香登记 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Service
public class BreedSecretionServiceImpl extends ServiceImpl<BreedSecretionMapper, BreedSecretion> implements IBreedSecretionService {

    @Autowired
    private BreedSecretionMapper secretionMapper;
    @Override
    public Result listPage(Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        String muskId = paramsMap.get("muskId");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        QueryWrapper<BreedSecretion> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).like(StringUtils.isNotBlank(muskId), "musk_id", muskId);
        Page page = new Page<BreedSecretion>(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        return new Result(ResultCode.SUCCESS, secretionMapper.selectPage(page, queryWrapper));
    }

    @Override
    public Result add(BreedSecretion secretion) {
        secretion.setCreateTime(new Date());
        return new Result(ResultCode.SUCCESS, secretionMapper.insert(secretion));
    }

    @Override
    public Result edit(BreedSecretion secretion) {
        return new Result(ResultCode.SUCCESS, secretionMapper.updateById(secretion));
    }

    @Override
    public Result remove(Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            secretionMapper.deleteById(s);
        }
        return new Result(ResultCode.SUCCESS);
    }
}
