package com.huimv.farm.musk.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultUtil;
import com.huimv.farm.musk.entity.BaseBuilding;
import com.huimv.farm.musk.service.IBaseBuildingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-15
 */
@RestController
@RequestMapping("/base-building")
@CrossOrigin
public class BaseBuildingController {
    @Autowired
    private IBaseBuildingService baseBuildingService;

    @PostMapping("/addBuilding")
    public Result addBuilding(@RequestBody Map<String,String> map) {
        return baseBuildingService.addBuilding(map);
    }

//    @PostMapping("/addUnit")
//    public Result addUnit(@RequestBody Map<String,String> map) {
//        String farmId = map.get("farmId");
//        String parentId = map.get("parentId");
//        String number = map.get("number");
//        QueryWrapper<BaseBuilding> queryWrapper = new QueryWrapper<>();
//        queryWrapper.eq("farm_id", farmId).eq("parent_id", parentId).orderByDesc("id").last(" limit 1");
//        BaseBuilding building = baseBuildingService.getOne(queryWrapper);
//        if (ObjectUtil.isEmpty(building)) {
//            for (int i = 1; i < Integer.parseInt(number) + 1; i++) {
//                BaseBuilding baseBuilding = new BaseBuilding();
//                baseBuilding.setBuildName(i + "号栏");
//                baseBuilding.setOther2(String.valueOf(i));
//                baseBuilding.setParentId(Integer.parseInt(parentId));
//                baseBuilding.setFarmId(Integer.parseInt(farmId));
//                baseBuilding.setFType(2);
//                baseBuildingService.save(baseBuilding);
//            }
//        } else {
//            String other2 = building.getOther2();
//            for (int i =  1; i <Integer.parseInt(number) + 1; i++) {
//                BaseBuilding baseBuilding = new BaseBuilding();
//                baseBuilding.setBuildName(Integer.parseInt(other2) + i + "号栏");
//                baseBuilding.setOther2(String.valueOf(Integer.parseInt(other2) + i));
//                baseBuilding.setParentId(Integer.parseInt(parentId));
//                baseBuilding.setFarmId(Integer.parseInt(farmId));
//                baseBuilding.setFType(2);
//                baseBuildingService.save(baseBuilding);
//            }
//        }
//
//        return ResultUtil.addResult(1);
//    }
    @PostMapping("/updateUnit")
    public Result updateUnit(@RequestBody Map<String,String> map) {
        String buildName = map.get("farmId");
        String id = map.get("id");
        BaseBuilding baseBuilding = baseBuildingService.getById(id);
        baseBuilding.setBuildName(buildName);
        baseBuildingService.updateById(baseBuilding);
        return ResultUtil.updateResult(1);
    }
    @PostMapping("/deleteUnit")
    public Result deleteUnit(@RequestBody Map<String,String> map) {
        String id = map.get("id");
        baseBuildingService.removeById(id);
        return ResultUtil.deleteResult(1);
    }
    @PostMapping("/updateBuilding")
    public Result updateBuilding(@RequestBody Map<String,String> map) {
        return  baseBuildingService.updateBuilding(map);
    }

    @PostMapping("/deleteBuilding")
    public Result deleteBuilding(@RequestBody Map<String, Integer> map) {
        return  baseBuildingService.deleteBuilding(map);
    }

    @PostMapping("/listBuilding")
    public Result listBuilding(@RequestBody Map<String, String> map){
        return baseBuildingService.listBuilding(map);
    }

    @PostMapping("/listTreeBuilding")
    public Result listTreeBuilding(@RequestBody Map<String, String> map){
        return baseBuildingService.listTreeBuilding(map);
    }
}
