package com.huimv.farm.musk.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.DevWarning;
import com.huimv.farm.musk.service.IDevWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 预警信息 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/dev-warning")
@CrossOrigin
public class DevWarningController {

    @Autowired
    private IDevWarningService warningService;
    

    @PostMapping("/addWarning")
    public Result addWarning(@RequestBody DevWarning devWarning) {
        try {
            warningService.save(devWarning);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"添加失败");
        }

        return new Result(ResultCode.SUCCESS,"添加成功");
    }

    @PostMapping("/deleteWarning")
    public Result deleteWarning( @RequestBody Map<String, Integer> map) {
        try {
            Integer id = map.get("id");
            warningService.removeById(id);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"删除失败");
        }

        return new Result(ResultCode.SUCCESS,"删除成功");
    }

    @PostMapping("/updateWarning")
    public Result deleteWarning( @RequestBody DevWarning devWarning) {
        try {
            warningService.updateById(devWarning);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"修改失败");
        }

        return new Result(ResultCode.SUCCESS,"修改成功");
    }

    @PostMapping("/pageWarning")
    public Result pageWarning( @RequestBody Map<String, Object> map) {
        return  warningService.pageWarning(map);
    }

    @PostMapping("/listWarning")
    public Result listWarning( @RequestBody Map<String, String> map) {
        return  warningService.listWarning(map);
    }


}
