package com.huimv.farm.musk.timer;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.MuskEarmark;
import com.huimv.farm.musk.breed.entity.MuskEarmarkRank;
import com.huimv.farm.musk.breed.service.IBreedMuskInfoService;
import com.huimv.farm.musk.breed.service.IMuskEarmarkRankService;
import com.huimv.farm.musk.breed.service.IMuskEarmarkService;
import com.huimv.farm.musk.common.utils.DataUill;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.DecimalFormat;
import java.util.Date;
import java.util.List;


@Component
@EnableScheduling
public class UpdateEarmarkRank {

    @Autowired
    private IMuskEarmarkRankService rankService;
    @Autowired
    private IMuskEarmarkService earmarkService;

    @Scheduled(cron = "0 0 * * * ?")
    private void setDayAge() {
        Integer onStatus = 0;
        List<MuskEarmark> earmarks = earmarkService.list();
        for (MuskEarmark earmark : earmarks) {
            if (earmark.getStatus() == 1) {
                onStatus = onStatus + 1;
            }
        }
        Integer size = earmarks.size();
        Date timesmorning = DataUill.getTimesmorning();
        QueryWrapper<MuskEarmarkRank> queryWrapper = new QueryWrapper<>();
        queryWrapper.ge("create_time", timesmorning);
        MuskEarmarkRank rank = rankService.getOne(queryWrapper);
        if (ObjectUtil.isNotEmpty(rank)) {
            rank.setCreateTime(new Date());
            if (size != 0) {
                double v = onStatus.doubleValue() / size.doubleValue();
                DecimalFormat def = new DecimalFormat("0.00");
                String format = def.format(v);
                float aFloat = Float.parseFloat(format) * 100;
                rank.setRankValue(String.valueOf(aFloat));
            } else {
                rank.setRankValue("0.00");
            }
            rankService.updateById(rank);
        } else {
            MuskEarmarkRank rank1 = new MuskEarmarkRank();
            rank1.setCreateTime(new Date());
            rank1.setFarmId(330110007);
            if (size != 0) {
                double v = onStatus.doubleValue() / size.doubleValue();
                DecimalFormat def = new DecimalFormat("0.00");
                String format = def.format(v);
                float aFloat = Float.parseFloat(format) * 100;
                rank1.setRankValue(String.valueOf(aFloat));
            } else {
                rank1.setRankValue("0.00");
            }
            rankService.save(rank1);
        }
    }
}
